//---------------------------------------------------------------------------

#ifndef IRP00101FH
#define IRP00101FH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include <Provider.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <Buttons.hpp>
#include <ADODB.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
#include "WindowMsgF.h"
#include "cxButtons.hpp"
#include "cxClasses.hpp"
#include "cxControls.hpp"
#include "cxCustomData.hpp"
#include "cxData.hpp"
#include "cxDataStorage.hpp"
#include "cxEdit.hpp"
#include "cxFilter.hpp"
#include "cxGraphics.hpp"
#include "cxGrid.hpp"
#include "cxGridCustomTableView.hpp"
#include "cxGridCustomView.hpp"
#include "cxGridLevel.hpp"
#include "cxGridTableView.hpp"
#include "cxLabel.hpp"
#include "cxLookAndFeelPainters.hpp"
#include "cxLookAndFeels.hpp"
#include "cxStyles.hpp"
#include "dxSkinBlack.hpp"
#include "dxSkinBlue.hpp"
#include "dxSkinsCore.hpp"
#include "dxSkinscxPCPainter.hpp"
#include "dxmdaset.hpp"
#include "cxContainer.hpp"

class TIRP00101 : public TForm
{
__published:	// IDE-managed Components
    TADOQuery *ADOQry;
    TTimer *TmrShow;
    TPanel *PnlTop;
    TPanel *PnlList;
    TLabel *LblSearch;
    TImage *ImgDesc01;
    TcxButton *BtnExlSave;
    TcxGrid *CxList;
    TcxGridTableView *TvList;
    TcxGridColumn *Column01;
    TcxGridColumn *Column02;
    TcxGridLevel *GlList;
    TcxGridColumn *Column03;
    TcxGridColumn *Column04;
    TcxGridColumn *Column05;
    TcxGridColumn *Column06;
    TcxGridColumn *Column07;
    TcxGridColumn *Column08;
    TcxGridColumn *Column09;
    TcxGridColumn *Column10;
    TcxGridColumn *Column90;
    TcxGridColumn *Column91;
    TdxMemData *dxMemData1;
    TcxLabel *lblType2;
    TcxLabel *lblType1;
    TcxLabel *cxLabel1;
    TcxLabel *cxLabel2;
    TcxLabel *cxLabel3;
    TcxLabel *cxLabel4;
    TcxLabel *cxLabel5;
    TcxLabel *cxLabel6;
    TcxLabel *cxLabel7;
    TcxLabel *cxLabel8;
    TcxLabel *cxLabel10;
    TcxLabel *cxLabel11;
    TcxLabel *cxLabel9;
    TcxLabel *cxLabel12;
    TcxLabel *cxLabel13;
    TcxLabel *cxLabel14;
    TcxLabel *cxLabel15;
    TcxLabel *cxLabel16;
    TcxLabel *cxLabel17;
    TcxLabel *cxLabel18;
    TcxLabel *cxLabel19;
    void __fastcall FormShow(TObject *Sender);
    void __fastcall TmrShowTimer(TObject *Sender);
    void __fastcall BtnExlSaveClick(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall TvListCustomDrawCell(TcxCustomGridTableView *Sender, TcxCanvas *ACanvas, TcxGridTableDataCellViewInfo *AViewInfo,
          bool &ADone);
    void __fastcall FormDestroy(TObject *Sender);
private:	// User declarations
    TcxDataController  *m_pGDC;

public:
    HWND    FParent;
    String  FStDateTime;
    String  FEdDateTime;
    int     FRptType;
    String  FTitle;
    int     FRows;

public:		// User declarations
    __fastcall TIRP00101(TComponent* Owner, HWND hHandle, int ARptType, String sFrom, String sTo, String ATitle);
	__fastcall ~TIRP00101(void);

    void __fastcall OnMessage(TMessage &Msg);

    void __fastcall CommClose();

    void __fastcall FormInit();
    void __fastcall SelReportFacility1();
    void __fastcall DspReportFacility1();
    void __fastcall SelReportFacility2();
    void __fastcall DspReportFacility2();
    void __fastcall DspReportFacility1MemData();
    void __fastcall DspReportFacility2MemData();

    void __fastcall SelReportTraffic1();
    void __fastcall DspReportTraffic1();
    void __fastcall SelReportTraffic2();
    void __fastcall DspReportTraffic2();
    void __fastcall DspReportTraffic1MemData();
    void __fastcall DspReportTraffic2MemData();
};
//---------------------------------------------------------------------------
extern PACKAGE TIRP00101 *IRP00101;
//---------------------------------------------------------------------------
#endif

